=== debian/changelog ===
vmpk (0.8.8-1) unstable; urgency=medium

  * New upstream version 0.8.8
  * Bump Standards Version to 4.6.1
  * Add d/source/lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 10 Oct 2022 23:25:01 +0200
