=== debian/control ===
Source: vmpk
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Ross Gammon <rosco2@ubuntu.com>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends: debhelper-compat (= 13),
 cmake,
 pkg-config,
 xsltproc,
 docbook-xsl,
 docbook-xml,
 libasound2-dev,
 libx11-dev,
 qtbase5-dev,
 libqt5svg5-dev,
 qttools5-dev-tools,
 qttools5-dev,
 libqt5x11extras5-dev,
 libdrumstick-dev (>= 2.5)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://vmpk.sourceforge.io/
Vcs-Browser: https://salsa.debian.org/multimedia-team/vmpk
Vcs-Git: https://salsa.debian.org/multimedia-team/vmpk.git

Package: vmpk
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdrumstick-rt-backends (>= 2.5)
Recommends: qjackctl, qsynth
Description: Virtual MIDI Piano Keyboard
 Virtual MIDI Piano Keyboard is a MIDI events generator and
 receiver. It doesn't produce any sound by itself, but can be used to
 drive a MIDI synthesizer (either hardware or software, internal or
 external). You can use the computer's keyboard to play MIDI notes,
 and also the mouse. You can use the Virtual MIDI Piano Keyboard to
 display the played MIDI notes from another instrument or MIDI file
 player.
