## vmpk 0.8.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2022 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+# Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,7 +17,7 @@
 cmake_minimum_required(VERSION 3.14)
 
 project( VMPK
-    VERSION 0.8.8
+    VERSION 0.8.9
     LANGUAGES CXX
     DESCRIPTION "Virtual MIDI Piano Keyboard"
     HOMEPAGE_URL "https://vmpk.sourceforge.io/"
@@ -84,7 +84,7 @@
     find_package(Qt6 6.2 COMPONENTS Gui Widgets Network LinguistTools REQUIRED)
 endif()
 
-find_package(Drumstick 2.7 COMPONENTS RT Widgets REQUIRED)
+find_package(Drumstick 2.8 COMPONENTS RT Widgets REQUIRED)
 
 message (STATUS "VMPK v${PROJECT_VERSION}
      install prefix: ${CMAKE_INSTALL_PREFIX}
@@ -117,7 +117,7 @@
             message(STATUS "Found XCB development libs v${XCB_VERSION}")
         endif()
     endif()
-    
+
     include(GNUInstallDirs)
 endif()
 
@@ -161,7 +161,7 @@
         COMMAND cp -r src vmpk-${PROJECT_VERSION}
         COMMAND cp -r man vmpk-${PROJECT_VERSION}
         COMMAND cp -r dbus vmpk-${PROJECT_VERSION}
-        COMMAND cp translations/vmpk_{cs,de,es,fr,gl,ru,sr,sv}.ts vmpk-${PROJECT_VERSION}/translations/
+        COMMAND cp translations/vmpk_{cs,de,es,fr,gl,it,ru,sr,sv}.ts vmpk-${PROJECT_VERSION}/translations/
         COMMAND cp translations/CMakeLists.txt vmpk-${PROJECT_VERSION}/translations/
         COMMAND cp AUTHORS ChangeLog CMakeLists.txt COPYING gpl.rtf NEWS README.md TODO *.nsi *.nsi.in net.sourceforge.VMPK.desktop net.sourceforge.VMPK.metainfo.xml vmpk.pro *.pri vmpk.spec.in qt.conf vmpk-${PROJECT_VERSION}
         COMMAND tar -cj --exclude=.* -f vmpk-${PROJECT_VERSION}.tar.bz2 vmpk-${PROJECT_VERSION}
@@ -220,7 +220,7 @@
 else()
     if(WIN32)
         include (InstallRequiredSystemLibraries)
-        install (FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS} 
+        install (FILES ${CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS}
                  DESTINATION .)
         install (FILES ${vmpk_DATA_FILES}
                  DESTINATION .)
