=== translations/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
      vmpk_es.ts
      vmpk_fr.ts
      vmpk_gl.ts
+     vmpk_it.ts
      vmpk_ru.ts
      vmpk_sr.ts
      vmpk_sv.ts
