=== debian/changelog ===
vmpk (0.8.9-1) unstable; urgency=medium

  * New upstream version 0.8.9
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Thu, 27 Jul 2023 11:35:42 +0200
