=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Ross Gammon <rosco2@ubuntu.com>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake,
  pkg-config,
@@ -18,7 +18,7 @@
  qttools5-dev,
  libqt5x11extras5-dev,
  libdrumstick-dev (>= 2.5)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://vmpk.sourceforge.io/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vmpk
