## vmpk 0.8.10

=== debian/changelog ===
vmpk (0.8.10-1) unstable; urgency=medium

  * New upstream version 0.8.10

 -- Dennis Braun <snd@debian.org>  Mon, 04 Sep 2023 20:48:13 +0200
