=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,20 @@
-# Virtual MIDI Piano Keyboard
-# Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along 
-# with this program; If not, see <http://www.gnu.org/licenses/>.
+#[===========================================================================[
+  Virtual MIDI Piano Keyboard
+  Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 3 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License along
+  with this program; If not, see <http://www.gnu.org/licenses/>.
+#]===========================================================================]
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
@@ -30,6 +32,7 @@
          ../translations/vmpk_ru.ts
          ../translations/vmpk_sr.ts
          ../translations/vmpk_sv.ts
+         ../translations/vmpk_zh_CN.ts
     )
     if (QT_VERSION VERSION_LESS 5.15.0)
         qt5_add_translation(QM_FILES ${TRANSLATIONS})
@@ -42,7 +45,7 @@
     file(GLOB WIDGETS_TRANS "${DRUMSTICK_PREFIX}/share/drumstick/drumstick-widgets_*.qm")
     file(COPY ${WIDGETS_TRANS} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
     add_app_translations_resource(APP_RES ${QM_FILES} ${WIDGETS_TRANS})
-    add_qt_translations_resource(QT_RES cs de es fr gl it ru sr sv)
+    add_qt_translations_resource(QT_RES cs de es fr gl it ru sr sv zh_CN)
 endif()
 
 set(vmpk_SRCS
@@ -64,6 +67,8 @@
     constants.h
     extracontrols.cpp
     extracontrols.h
+    iconutils.cpp
+    iconutils.h
     instrument.cpp
     instrument.h
     keyboardmap.cpp
@@ -106,7 +111,7 @@
 
 if(WIN32)
     include(CheckCXXSourceCompiles)
-    check_cxx_source_compiles("#include <Windows.h>
+    check_cxx_source_compiles("#include <windows.h>
         int main() { EnumWindows([](HWND, LPARAM) -> BOOL { return true; }, 0); return 0; }"
         COMPILER_SUPPORTED)
     if (NOT COMPILER_SUPPORTED)
@@ -136,7 +141,7 @@
 endif()
 
 if(WIN32)
-    configure_file (vmpk.rc.in ${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc 
+    configure_file (vmpk.rc.in ${CMAKE_CURRENT_BINARY_DIR}/vmpk.rc
                     IMMEDIATE @ONLY)
 endif()
