=== debian/changelog ===
vmpk (0.9.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:30:43 +1100

vmpk (0.9.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:04:25 +0000

vmpk (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Make the build depend on libdrumstick-dev >= 2.9.0-1~
  * Apply wrap-and-sort -ast

 -- Dennis Braun <snd@debian.org>  Sun, 14 Jan 2024 19:51:07 +0100
