## vmpk 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #[===========================================================================[
 Virtual MIDI Piano Keyboard
-Copyright (C) 2008-2023 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
+Copyright (C) 2008-2024 Pedro Lopez-Cabanillas <plcl@users.sourceforge.net>
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project( VMPK
-    VERSION 0.9.0
+    VERSION 0.9.1
     LANGUAGES CXX
     DESCRIPTION "Virtual MIDI Piano Keyboard"
     HOMEPAGE_URL "https://vmpk.sourceforge.io/"
@@ -46,9 +46,9 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # cmake bug https://gitlab.kitware.com/cmake/cmake/issues/18396 closed in cmake 3.14
-if(APPLE AND ${CMAKE_VERSION} VERSION_LESS 3.14)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
-endif()
+# if(APPLE AND ${CMAKE_VERSION} VERSION_LESS 3.14)
+#     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
+# endif()
 
 if(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra") #-Wzero-as-null-pointer-constant -Wsuggest-override
@@ -58,7 +58,7 @@
 #endif()
 
 # CMAKE_SYSTEM_PROCESSOR is broken on Windows with MSVC
-# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2023/08
+# cmake bug https://gitlab.kitware.com/cmake/cmake/-/issues/15170 still open in 2024/12
 if(MSVC)
     string(TOLOWER ${MSVC_CXX_ARCHITECTURE_ID} CMAKE_SYSTEM_PROCESSOR)
 endif()
@@ -71,7 +71,7 @@
     find_package(Qt6 6.2 COMPONENTS Gui Widgets Network LinguistTools REQUIRED)
 endif()
 
-find_package(Drumstick 2.9 COMPONENTS RT Widgets REQUIRED)
+find_package(Drumstick 2.10 COMPONENTS RT Widgets REQUIRED)
 
 message (STATUS "VMPK v${PROJECT_VERSION}
      install prefix: ${CMAKE_INSTALL_PREFIX}
@@ -121,6 +121,7 @@
     data/help_sr.html
     data/help_zh_CN.html
     data/azerty.xml
+    data/azerty-FR.xml
     data/german.xml
     data/it-qwerty.xml
     data/pc102mac.xml
@@ -213,8 +214,8 @@
         install (FILES ${vmpk_DATA_FILES}
                  DESTINATION .)
         set(FLUIDSYNTH_PREFIX $ENV{FLUIDSYNTH})
-        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/setup-msvc2019.nsi.in
-            ${CMAKE_CURRENT_BINARY_DIR}/setup-msvc2019.nsi IMMEDIATE @ONLY)
+        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/setup-msvc2022.nsi.in
+            ${CMAKE_CURRENT_BINARY_DIR}/setup-msvc2022.nsi IMMEDIATE @ONLY)
     endif()
 endif()
