=== debian/changelog ===
vmpk (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Build-Depends on libdrumstick-dev >= 2.10.0-1~
  * Change B-D from pkg-config to pkgconf
  * Bump Standards-Version to 4.7.0
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Wed, 01 Jan 2025 23:07:51 +0100
