=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vmpk
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Ross Gammon <rosco2@ubuntu.com>,
  Dennis Braun <snd@debian.org>,
@@ -12,17 +11,17 @@
  docbook-xml,
  docbook-xsl,
  libasound2-dev,
- libdrumstick-dev (>= 2.9.0-1~),
+ libdrumstick-dev (>= 2.10.0-1~),
  libqt5x11extras5-dev,
  libqt6core5compat6-dev [ia64],
  libqt6svg6-dev,
  libx11-dev,
- pkg-config,
+ pkgconf,
  qt6-5compat-dev [!ia64],
  qt6-base-dev,
  qt6-tools-dev,
  xsltproc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://vmpk.sourceforge.io/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vmpk
