=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ -Scmake

override_dh_install:
	dh_install
	mkdir -p debian/vmpk/usr/share/doc/vmpk
	mv \
		debian/vmpk/usr/share/vmpk/*.html \
		debian/vmpk/usr/share/doc/vmpk
