=== debian/watch ===
version=4
https://sf.net/vmpk/vmpk-(.+)\.tar\.gz
